SDL_GetAudioStreamGain(3)

NAME
SDL_GetAudioStreamGain - Get the gain of an audio stream.

SYNOPSIS
#include <SDL3/SDL_audio.h>

float SDL_GetAudioStreamGain(SDL_AudioStream *stream);

DESCRIPTION
The gain of a stream is its volume; a larger gain means a louder output, with a gain of zero being silence.

Audio streams default to a gain of 1.0f (no change in output).

FUNCTION PARAMETERS

stream
    the SDL_AudioStream to query.

RETURN VALUE
Returns the gain of the stream or -1.0f on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread, as it holds a stream-specific mutex while running.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetAudioStreamGain(3)